Subject: Re: bug#57728: 29.0.50; Emacs writes wrong glyph at the bottom-right corner of text terminals

From: Gregory Heytings <[email-masked]>
Date: Mon, 12 Sep 2022 08:03:09 +0000

>> Here is (I think) a recipe to demonstrate what the OP has in mind 
>> (tested with xterm, rxvt, st, kitty, alacritty, Linux console):
>>
>> 1. emacs -Q -nw
>>
>> 2a. if your terminal emulator has a light background: M-x load-theme 
>> RET modus-vivendi RET
>>
>> 2b. if your terminal emulator has a dark background: M-x load-theme RET 
>> modus-operandi RET
>>
>> Observe at that point that the last character (the one at the bottom 
>> right) does not have the background color of the chosen theme.  So far 
>> so good.
>
> The OP filed a bug for this, and he might work on it he said.
>
> This is because 'write' deliberatly leaves the bottom-right corner alone 
> if the terminal has "auto right margin" (autowrap).
>

Yes, my understanding is that this bug (bug#57728) is a dependency for 
bug#57607.